
From: NeilBrown <neilb@cse.unsw.edu.au>

The debugging message printed the wrong pid, which didn't help remove bugs....

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/bitmap.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/md/bitmap.c~md-print-correct-pid-for-newly-created-bitmap-writeback-daemon drivers/md/bitmap.c
--- 25/drivers/md/bitmap.c~md-print-correct-pid-for-newly-created-bitmap-writeback-daemon	2005-03-23 02:09:45.000000000 -0800
+++ 25-akpm/drivers/md/bitmap.c	2005-03-23 02:09:45.000000000 -0800
@@ -1112,7 +1112,7 @@ static int bitmap_start_daemon(struct bi
 	md_wakeup_thread(daemon); /* start it running */
 
 	PRINTK("%s: %s daemon (pid %d) started...\n",
-		bmname(bitmap), name, bitmap->daemon->tsk->pid);
+		bmname(bitmap), name, daemon->tsk->pid);
 out_unlock:
 	spin_unlock_irqrestore(&bitmap->lock, flags);
 	return 0;
_
